/**
 * Copyright (c) 2020 Toby All rights reserved.
 * <p>
 * https://www.scjydz.com
 * <p>
 * 版权所有，侵权必究！
 */

package com.wjp.modules.devtools.controller;

import com.google.gson.Gson;
import com.wjp.common.constant.Constant;
import com.wjp.common.utils.Result;
import com.wjp.modules.devtools.entity.GenParam;
import com.wjp.modules.sys.service.SysParamsService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * 代码生成参数配置
 *
 * @author Toby javatangbin@163.com
 */
@AllArgsConstructor
@RestController
@RequestMapping("devtools/param")
public class GenParamController {
    private final SysParamsService sysParamsService;

    @GetMapping("info")
    public Result<GenParam> info() {
        GenParam param = sysParamsService.getValueObject(Constant.DEV_TOOLS_PARAM_KEY, GenParam.class);

        return new Result<GenParam>().ok(param);
    }

    @PostMapping
    public Result saveConfig(@RequestBody GenParam param) {
        sysParamsService.updateValueByCode(Constant.DEV_TOOLS_PARAM_KEY, new Gson().toJson(param));

        return new Result();
    }
}