/**
 * Copyright (c) 2018 Toby All rights reserved.
 * <p>
 * https://www.scjydz.com
 * <p>
 * 版权所有，侵权必究！
 */

package com.wjp.modules.log.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.wjp.common.utils.DateUtils;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 异常日志
 *
 * @author Toby javatangbin@163.com
 * @since 1.0.0
 */
@Data
@Schema(description = "异常日志")
public class SysLogErrorDTO implements Serializable {

    @Schema(description = "id")
    private Long id;
    @Schema(description = "请求URI")
    private String requestUri;
    @Schema(description = "请求方式")
    private String requestMethod;
    @Schema(description = "请求参数")
    private String requestParams;
    @Schema(description = "用户代理")
    private String userAgent;
    @Schema(description = "操作IP")
    private String ip;
    @Schema(description = "异常信息")
    private String errorInfo;
    @Schema(description = "创建时间")
    @JsonFormat(pattern = DateUtils.DATE_TIME_PATTERN)
    private Date createDate;

}