/**
 * Copyright (c) 2018 Toby All rights reserved.
 *
 * https://www.scjydz.com
 *
 * 版权所有，侵权必究！
 */

package com.wjp.modules.security.service;

import com.wjp.common.page.PageData;
import com.wjp.common.service.BaseService;
import com.wjp.common.utils.Result;
import com.wjp.modules.security.entity.SysUserTokenEntity;
import com.wjp.modules.sys.entity.SysOnlineEntity;

import java.util.Map;

/**
 * 用户Token
 * 
 * @author Toby javatangbin@163.com
 */
public interface SysUserTokenService extends BaseService<SysUserTokenEntity> {

	/**
	 * 生成token
	 * @param userId  用户ID
	 */
	Result createToken(Long userId);

	/**
	 * 退出
	 * @param userId  用户ID
	 */
	void logout(Long userId);

	/**
	 * 在线用户分页
	 */
	PageData<SysOnlineEntity> onlinePage(Map<String, Object> params);

}